Refreshes group membership for a specific user-defined auto group
Use this endpoint to recalculate which meters belong to a specific user-defined auto group
based on its current filter rules. Only works on user-defined auto groups, not system auto groups.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterGroupId | Unique numeric identifier of the user-defined auto group to refresh | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GroupMeterGroupResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoGroup | Indicates if this meter group is an autogroup | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| lastUpdated | The last time a member was inserted, updated, or deleted from the group | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| limitMembersByTopmost | Indicates if the meter group has been set limit the list of members by the user’s topmost | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| memberCommodityCode | The commodity code for the meters in this group - if all meters belong to the same commodity the commodity code will be used here if meters belong to different commodities, value will be “MULTIPLE” if this group has no meters, value will be "" | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| memberCount | The number of meters in this group | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| memberCountWithTopmost | The number of meters within the currently authenticated user’s topmost | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| meterGroupCategory | MeterGroupCategoryChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||
|
MeterGroupCategoryChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
| meterGroupCode | The meter group code | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| meterGroupId | The meter group identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| meterGroupInfo | The meter group info | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| userDefinedAutoGroup | Indicates if this meter group is an user defined auto group | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||
| userDefinedAutoGroupFilters | The filters applied to determine the members of a user defined auto group | FilterResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
|
FilterResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "autoGroup": false, "lastUpdated": "2026-06-29", "limitMembersByTopmost": false, "memberCommodityCode": "string", "memberCount": 1, "memberCountWithTopmost": 1, "meterGroupCategory": { "meterGroupCategoryCode": "string", "meterGroupCategoryId": 1, "meterGroupCategoryInfo": "string"
}, "meterGroupCode": "string", "meterGroupId": 1, "meterGroupInfo": "string", "userDefinedAutoGroup": false, "userDefinedAutoGroupFilters": [
{ "availableOperator": [
"string"
], "caption": "string", "dataFieldId": 1, "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
]
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.